Name:            texmaker
Version:         3.5.2
Release:         %mkrel 2
Epoch:           1
Summary:         A QT-based LATEX editor
License:         GPLv2
Group:           Publishing
URL:             http://www.xm1math.net/texmaker/
Source0:         http://www.xm1math.net/texmaker/%name-%version.tar.bz2
Source1:         http://extensions.services.openoffice.org/e-files/1470/1/en_US.oxt
BuildRequires:   desktop-file-utils
BuildRequires:   qt4-devel >= 4.6.1
BuildRequires:	 pkgconfig(QtWebKit)
BuildRequires:   pkgconfig(poppler-qt4)

%description
Texmaker is a free LaTeX editor that integrates many tools needed to develop
documents with LaTeX, in just one application.

It includes the following features:
- an unicode editor to write your LaTeX source files 
  (syntax highlighting, undo-redo, search-replace, ...)
- the principal LaTex tags can be inserted directly with the "LaTeX", 
  "Math" and "Greek" menus 
- 370 mathematical symbols can be inserted in just one click 
- wizards to generate code ('Quick document', 'Quick letter', tabular,
  tabbing and array environments) 
- LaTeX-related programs can be launched via the "Tools" menu 
- the standard Bibtex entry types can be inserted in the ".bib" file
  with the "Bibliography" menu 
- a "structure view" of the document for easier navigation of a document 
  (by clicking on an item in the "Structure" frame, you can jump directly 
  to the corresponding part of your document 
- extensive LaTeX documentation 
- in the "Messages / Log File" frame, you can see information about processes 
  and the logfile after a LaTeX compilation 
- the "Next Latex Error" and "Previous Latex Error" commands let you reach the
  LaTeX errors detected by Kile in the log file 
- by clicking on the number of a line in the log file, the cursor jumps to the 
  corresponding line in the editor 

%prep
%setup -q
cp -f %SOURCE1 en_US.zip
mkdir tmp
unzip %SOURCE1 -d tmp
mv tmp/en_US.* tmp/README* dictionaries/
%__rm -rf tmp en_US.zip

%build
export QTDIR=%{qt4dir}
%{qt4dir}/bin/qmake texmaker.pro
%{__perl} -pi -e "s|-O2|%{optflags}||g" Makefile
%{make}

%install
mkdir -p %{buildroot}%_bindir
INSTALL_ROOT=%{buildroot} make install

# icons
mkdir -p %{buildroot}%_miconsdir
cp utilities/texmaker16x16.png %{buildroot}%_miconsdir/%name.png
mkdir -p %{buildroot}%_iconsdir/hicolor/16x16/apps
cp utilities/texmaker16x16.png %{buildroot}%_iconsdir/hicolor/16x16/apps/%name.png
cp utilities/texmaker32x32.png %{buildroot}%_iconsdir/%name.png
mkdir -p %{buildroot}%_iconsdir/hicolor/32x32/apps
cp utilities/texmaker32x32.png %{buildroot}%_iconsdir/hicolor/32x32/apps/%name.png
mkdir -p %{buildroot}%_liconsdir
cp utilities/texmaker48x48.png %{buildroot}%_liconsdir/%name.png
mkdir -p %{buildroot}%_iconsdir/hicolor/48x48/apps
cp utilities/texmaker48x48.png %{buildroot}%_iconsdir/hicolor/48x48/apps/%name.png
mkdir -p %{buildroot}%_iconsdir/hicolor/scalable/apps
cp utilities/texmaker.svg %{buildroot}%_iconsdir/hicolor/scalable/apps/%name.svg


%files
%doc utilities/AUTHORS utilities/CHANGELOG.txt
%_bindir/%name
%_datadir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png
%_iconsdir/hicolor/*/apps/*
%_datadir/applications/%name.desktop
%_datadir/pixmaps/%name.png




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1:3.5.2-2.mga3
+ Revision: 384487
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 malo <malo> 1:3.5.2-1.mga3
+ Revision: 340283
- new version 3.5.2

* Tue Aug 28 2012 malo <malo> 1:3.5-1.mga3
+ Revision: 284990
- new version 3.5

* Wed Jul 25 2012 malo <malo> 1:3.4.1-1.mga3
+ Revision: 274138
- update to 3.4.1

* Thu Jul 19 2012 fwang <fwang> 1:3.4-1.mga3
+ Revision: 272387
- new version3.4

* Wed Jun 13 2012 fwang <fwang> 1:3.3.4-2.mga3
+ Revision: 260193
- rebuild for new poppler

* Sat Jun 02 2012 fwang <fwang> 1:3.3.4-1.mga3
+ Revision: 253256
- new version 3.3.4

* Mon Mar 05 2012 fwang <fwang> 1:3.3.2-1.mga2
+ Revision: 218283
- new version 3.3.2

* Tue Feb 28 2012 fwang <fwang> 1:3.3.1-1.mga2
+ Revision: 215782
- new version 3.3.1

* Mon Feb 27 2012 fwang <fwang> 1:3.3-1.mga2
+ Revision: 215453
- new version 3.3

* Thu Feb 02 2012 malo <malo> 1:3.2.2-1.mga2
+ Revision: 203994
- new version 3.2.2
- spec clean-up

* Sun Dec 25 2011 fwang <fwang> 1:3.2-1.mga2
+ Revision: 187384
- br webkit
- new version 3.2
- new version 3.1

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Mon Jan 31 2011 dmorgan <dmorgan> 1:2.2.1-1.mga1
+ Revision: 45334
- Remove mdv macros
- imported package texmaker

